API reference
All operations
EQUIPMENT - UNDERCARRIAGE

Analyzes a scanned undercarriage inspection form image or PDF using Azure Document Intelligence.

POST/api/v2/equipment/undercarriage/form/analyze

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

multipart/form-datarequired

The uploaded image or PDF file of the inspection form.

object
  • filefile

Responses

Document parsed and fields extracted successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataExtractedDocumentFieldsUndercarriageDto
  • companystring
  • datestring · datenullable
  • makestring
  • modelstring
  • serialNostring
  • hoursnumber · double